package commands

import (
	tgbotapi "github.com/go-telegram-bot-api/telegram-bot-api/v5"
)

type LennyCommand struct{}

func (l LennyCommand) Name() string {
	return "lenny"
}

func (l LennyCommand) Help() string {
	return "( ͡° ͜ʖ ͡°) Usage: /lenny"
}

func (l LennyCommand) Execute(update tgbotapi.Update, bot *tgbotapi.BotAPI) {
	msg := tgbotapi.NewMessage(update.Message.Chat.ID, "( ͡° ͜ʖ ͡°)")
	bot.Send(msg)
}

func init() {
	Register(LennyCommand{})
}
